namespace Dal.Migrations
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;

    using Dal.Models;
    using Dal.Contexts;

    internal sealed class Configuration : DbMigrationsConfiguration<PatientRecordsDbContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = false;
        }

        protected override void Seed(PatientRecordsDbContext context)
        {
            context.Humans.AddOrUpdate(
                i => i.Ssn,
                new Human
                {
                    Ssn = "123456001",
                    FirstName = "John",
                    MiddleName = "Xavier",
                    LastName = "Doe"
                },
                new Human
                {
                    Ssn = "123456002",
                    FirstName = "Jane",
                    MiddleName = "Beth",
                    LastName = "Smith"
                });
        }
    }
}
