﻿namespace Dal.Contexts
{
    using System.Data.Entity;

    using Dal.Mapping;
    using Dal.Models;

    public class PatientRecordsDbContext : DbContext
    {
        public DbSet<Human> Humans { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Configurations.Add(new HumanMap());
        }
    }
}